%define anolis_release 3
%bcond_without tests
%global pypi_name libevdev

Name:		python-%{pypi_name}
Version:	0.11
Release:	%{anolis_release}%{?dist}
Summary:	Python bindings to the %{pypi_name} evdev device wrapper library
License:	MIT
URL:		https://pypi.python.org/pypi/%{pypi_name}/
Source0:	https://gitlab.freedesktop.org/%{pypi_name}/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

%description
python-libevdev is a wrapper around the libevdev C library, with a pythonic
API. libevdev makes it easy to

* read and parse events from an input device
* create a virtual input device and make it send events
* duplicate an existing device and modify the event stream

%package -n	python%{python3_pkgversion}-%{pypi_name}
Summary:	Python bindings to the %{pypi_name} evdev device wrapper library
BuildRequires:	python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  %{pypi_name}-devel
%endif
Requires:	%{pypi_name}

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n	python%{python3_pkgversion}-%{pypi_name}
python-libevdev is a wrapper around the libevdev C library, with a pythonic
API. libevdev makes it easy to

* read and parse events from an input device
* create a virtual input device and make it send events
* duplicate an existing device and modify the event stream


%prep
%autosetup -n %{name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with tests}
%check
%pytest
%endif


%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license COPYING

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.11-3
- Rebuild with python3.11

* Sun Apr 09 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 0.11-2
- Optimize the spec file

* Sun Feb 5 2023 Funda Wang <fundawang@yeah.net> - 0.11-1
- Import package for anolis 23
